## eole-genconfig 2.8.0-36

=== Makefile ===
################################
# Makefile pour eole-genconfig #
################################

SOURCE=eole-genconfig
EOLE_VERSION=2.8
EOLE_RELEASE=2.8.0
PKGAPPS=flask
FLASK_MODULE=eolegenconfig

################################
# Début de zone à ne pas éditer
################################

include eole.mk
include apps.mk

################################
# Fin de zone à ne pas éditer
################################

# Makefile rules dedicated to application
# if exists
ifneq (, $(strip $(wildcard $(SOURCE).mk)))
include $(SOURCE).mk
endif

=== debian/changelog ===
eole-genconfig (2.8.0-36) eole-2.8.0-proposed-updates; urgency=low

  [ Laurent Gourvénec ]
  * [e7b1dbd] Fix mauvaise gestion d'erreur lors d'une sauvegarde en local seulement
  * [e335bc3] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [ce54062] Laurent Gourvénec: Update package since “debian/eole/2.8.0-35”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Fri, 05 May 2023 15:44:01 +0200

eole-genconfig (2.8.0-35) eole-2.8.0-proposed-updates; urgency=low

  [ Laurent Gourvénec ]
  * [c3cc347] Gestion des erreurs provenants de zéphir
  * [133a297] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [3f4bb2e] Laurent Gourvénec: Update package since “debian/eole/2.8.0-34”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Thu, 04 May 2023 11:10:31 +0200

eole-genconfig (2.8.0-34) eole-2.8.0-proposed-updates; urgency=low

  [ Matthieu Lamalle ]
  * [95ef0ed] Conversion des données (python3) a la comparaison des config avec zephir ref #33939
  * [c838633] Merge branch '2.7.2/master' into 2.8.0/master

  [ Benjamin Bohard ]
  * [d134267] Revert "Conversion des données (python3) a la comparaison des config avec zephir ref #33939"
  * [3751713] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [d1104eb] Benjamin Bohard: Update package since “debian/eole/2.8.0-33”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 13 Apr 2022 14:16:19 +0200

eole-genconfig (2.8.0-33) eole-2.8.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [abb251a] XDG_VTNR is not always set (ref: #33878)
  * [20eba96] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [27cf209] Joël Cuissinat: Update package since “debian/eole/2.8.0-32”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 05 Apr 2022 17:16:30 +0200

eole-genconfig (2.8.0-32) eole-2.8.0-proposed-updates; urgency=low

  [ Matthieu Lamalle ]
  * [cae11e0] Conversion des données (python3) a la comparaison des config avec zephir ref #33939
  * [08f9fd1] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [aef6875] Matthieu Lamalle: Update package since “debian/eole/2.8.0-31”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Tue, 05 Apr 2022 15:21:32 +0200

eole-genconfig (2.8.0-31) eole-2.8.0-proposed-updates; urgency=low

  [ Matthieu Lamalle ]
  * [87dc7a9] Correction enregistrement IP vide ref #33896
  * [84aa65b] Ajout d'un focus on change sur les type number ref #33648
  * [f116661] Merge branch '2.7.2/master' into 2.8.0/master
  * [c987b67] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [c4ca1c7] Matthieu Lamalle: Update package since “debian/eole/2.8.0-30”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Tue, 05 Apr 2022 13:50:27 +0200

eole-genconfig (2.8.0-30) eole-2.8.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [2844a2f] gen_config : contournement du bug en mode kiok (ref #33878)
  * [8439a85] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [8ec33a2] Joël Cuissinat: Update package since “debian/eole/2.8.0-29”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Wed, 09 Mar 2022 10:51:52 +0100

eole-genconfig (2.8.0-29) eole-2.8.0-proposed-updates; urgency=low

  [ Matthieu Lamalle ]
  * [840409a] suppression confirm() pour logout ref #33339
  * [0428a77] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [a710e3e] Matthieu Lamalle: Update package since “debian/eole/2.8.0-28”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Mon, 25 Oct 2021 09:16:32 +0200

eole-genconfig (2.8.0-28) eole-2.8.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [d7c55d8] Correction rapide pour le lancement de gen_config sur 2.6/2.7
  * [ce32040] Merge branch '2.6.0/32070-genconfig' into 2.7.2/master
  * [a735d59] Merge branch '2.6.0/32070-genconfig' into 2.7.1/master
  * [2970acd] Merge branch '2.6.0/32070-genconfig' into 2.7.0/master

  [ Fabrice Barconnière ]
  * [d7e9a66] @--no-sandbox@ option not supported
  * [cf2da74] Merge branch '2.7.0/master' into 2.7.1/master
  * [6343ff0] Merge branch '2.7.1/master' into 2.7.2/master

  [ Matthieu Lamalle ]
  * [9987fd3] Correciton config nginx ref #32017 #33233
  * [ff3abfa] Merge branch '2.7.2/master' into 2.8.0/master
  * [248cff8] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [12c40d1] Matthieu Lamalle: Update package since “debian/eole/2.8.0-27”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Mon, 04 Oct 2021 10:15:19 +0200

eole-genconfig (2.8.0-27) eole-2.8.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [38fbd36] * webapi.py : replace old unicode conversion
  * [29e75e7] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [7da6c55] Joël Cuissinat: Update package since “debian/eole/2.8.0-26”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 28 Sep 2021 17:50:03 +0200

eole-genconfig (2.8.0-26) eole-2.8.0-proposed-updates; urgency=low

  [ Matthieu Lamalle ]
  * [82e9db8] Corriger l'affichage de la méthode confirm() quand on quitte ref #33185
  * [37e5a1b] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [19d3d5f] Matthieu Lamalle: Update package since “debian/eole/2.8.0-25”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Tue, 28 Sep 2021 09:38:42 +0200

eole-genconfig (2.8.0-25) eole-2.8.0-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [4f234db] Simplify the firefox wait test and add extra sleep
  * [94b98e9] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [e3e13b2] Daniel Dehennin: Update package since “debian/eole/2.8.0-24”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 01 Apr 2021 11:01:07 +0200

eole-genconfig (2.8.0-24) eole-2.8.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]


## eole-genconfig 2.8.1-9

=== debian/changelog ===
eole-genconfig (2.8.1-9) eole-2.8-unstable; urgency=low

  [ Daniel Dehennin ]
  * [4f234db] Simplify the firefox wait test and add extra sleep
  * [e7e8f60] Merge branch '2.8.0/master'
  * [3b6021c] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [ed38b99] Daniel Dehennin: Update package since “debian/eole/2.8.1-8”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 01 Apr 2021 11:02:25 +0200

eole-genconfig (2.8.1-8) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [7f4eaa9] attendre que firefox avec childID à 4 soit démarré plutôt de compter le nombre de processus (ref #31953)
  * [e9ecbe6] Merge branch '2.8.0/master'
  * [38d7959] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [e56ea67] Emmanuel Garette: Update package since “debian/eole/2.8.1-7”

 -- Emmanuel Garette <egarette@cadoles.com>  Wed, 31 Mar 2021 15:54:57 +0200

eole-genconfig (2.8.1-7) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [6a4870c] démarrager matchbox après le démarrage complet des processus liés à firefox (attente maximum d'environ 16 secondes) (ref #31841)
  * [2c0bde7] Merge branch '2.8.0/master'
  * [4f02f1b] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [7ca7370] Emmanuel Garette: Update package since “debian/eole/2.8.1-6”

 -- Emmanuel Garette <egarette@cadoles.com>  Wed, 17 Mar 2021 11:25:20 +0100

eole-genconfig (2.8.1-6) eole-2.8-unstable; urgency=low

  [ Matthieu Lamalle ]
  * [cb99459] coorection ref #31264
  * [6bd703c] Merge branch '2.8.0/master'
  * [29b3c0e] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [e9c2f78] Matthieu Lamalle: Update package since “debian/eole/2.8.1-5”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Tue, 08 Dec 2020 09:54:45 +0100

eole-genconfig (2.8.1-5) eole-2.8-unstable; urgency=low

  [ Matthieu Lamalle ]
  * [65dc6cb] coorection sur la vérification des droits de lecture  ref #31264
  * [674c72b] Merge branch '2.8.0/master'
  * [0f2eb36] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [7e29b47] Matthieu Lamalle: Update package since “debian/eole/2.8.1-4”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Mon, 07 Dec 2020 16:28:21 +0100

eole-genconfig (2.8.1-4) eole-2.8-unstable; urgency=low

  [ Matthieu Lamalle ]
  * [231fdd5] Adapter la vérification des droits de lecture du fichier importé ref #31264
  * [9099afa] Merge branch '2.8.0/master'
  * [154e94f] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [541fb1b] Matthieu Lamalle: Update package since “debian/eole/2.8.1-3”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Fri, 04 Dec 2020 09:07:08 +0100

eole-genconfig (2.8.1-3) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [d9fbb01] afficher les warnings dans le cas d'initialisation des données (ref #31272)
  * [f19f2e1] Merge branch '2.8.0/master'
  * [3b49433] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [0183e53] Emmanuel Garette: Update package since “debian/eole/2.8.1-2”

 -- Emmanuel Garette <egarette@cadoles.com>  Thu, 03 Dec 2020 15:29:21 +0100

eole-genconfig (2.8.1-2) eole-2.8-unstable; urgency=low

  [ lseys ]
  * [16e7fb2] Ref # 31095

  [ Emmanuel Garette ]
  * [73100fc] Merge branch '2.8.0/master'
  * [81c71ef] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [30e067a] Emmanuel Garette: Update package since “debian/eole/2.8.1-1”

 -- Emmanuel Garette <egarette@cadoles.com>  Fri, 27 Nov 2020 17:15:25 +0100

eole-genconfig (2.8.1-1) eole-2.8-unstable; urgency=low

  [ Daniel Dehennin ]
  * [7d69b1d] Prepare version 2.8.1
  * [bc18ec4] Merge branch 'master' into dist/eole/2.8.1/master

  [ Benjamin Bohard ]
  * [79aa729] Do not convert value to unicode.

  [ lseys ]
  * [f0af5f2] ajout policies.json ref#<31095>
  * [0519af6] Ref # 31095

  [ Emmanuel Garette ]
  * [a5decd2] Merge branch '2.8.0/master'
  * [45bcc60] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [60f3d5b] Emmanuel Garette: Update package since “debian/eole/2.8.0-15”

 -- Emmanuel Garette <egarette@cadoles.com>  Fri, 27 Nov 2020 15:54:11 +0100

## eole-genconfig 2.8.1-25

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 SOURCE=eole-genconfig
 EOLE_VERSION=2.8
-EOLE_RELEASE=2.8.0
+EOLE_RELEASE=2.8.1
 PKGAPPS=flask
 FLASK_MODULE=eolegenconfig

=== debian/changelog ===
eole-genconfig (2.8.1-25) eole-2.8.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [67357cc] ne pas planter si la config n'est pas valid dans un diff (ref #35857)
  * [483a432] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [cbb277e] Emmanuel Garette: Update package since “debian/eole/2.8.1-24”

 -- Emmanuel Garette <egarette@silique.fr>  Thu, 28 Mar 2024 18:46:02 +0100

eole-genconfig (2.8.1-24) eole-2.8.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [6f95054] Ne pas considérer qu'on est sur Zéphir sur un serveur autonome (ref 35854)
  * [431f159] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [f8470de] Emmanuel Garette: Update package since “debian/eole/2.8.1-23”

 -- Emmanuel Garette <egarette@silique.fr>  Wed, 27 Mar 2024 18:21:59 +0100

eole-genconfig (2.8.1-23) eole-2.8.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [fb27c3f] pouvoir comparer la configuration du serveur et celle du Zéphir depuis le serveur Zéphir (ref #35595)
  * [331f603] ne pas mettre le parametre zephir_sync (ref #35841)
  * [b1fc7f3] ne pas chercher à upgrade la configuration en cas de divergence entre le serveur et Zéphir (ref #35841)

  [ Benjamin Bohard ]
  * [1755541] Pas de comparaison si le fichier de configuration est absent.
  * [9f7cfbe] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [b661fb4] Benjamin Bohard: Update package since “debian/eole/2.8.1-22”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 25 Mar 2024 15:13:11 +0100

eole-genconfig (2.8.1-22) eole-2.8.1-proposed-updates; urgency=low

  [ Laurent Gourvénec ]
  * [e7b1dbd] Fix mauvaise gestion d'erreur lors d'une sauvegarde en local seulement
  * [333cd16] Merge branch '2.8.0/master' into 2.8.1/master
  * [7474f50] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [9f40d86] Laurent Gourvénec: Update package since “debian/eole/2.8.1-21”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Fri, 05 May 2023 15:44:40 +0200

eole-genconfig (2.8.1-21) eole-2.8.1-proposed-updates; urgency=low

  [ Laurent Gourvénec ]
  * [c3cc347] Gestion des erreurs provenants de zéphir
  * [8af2296] Merge branch '2.8.0/master' into 2.8.1/master
  * [32d8e29] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [aa4709a] Laurent Gourvénec: Update package since “debian/eole/2.8.1-20”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Thu, 04 May 2023 12:15:55 +0200

eole-genconfig (2.8.1-20) eole-2.8.1-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [519aba9] feat(nginx): redirect HTTP to HTTPS
  * [aeac723] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [fdc84db] Daniel Dehennin: Update package since “debian/eole/2.8.1-19”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Wed, 04 May 2022 10:48:22 +0200

eole-genconfig (2.8.1-19) eole-2.8.1-proposed-updates; urgency=low

  [ Matthieu Lamalle ]
  * [95ef0ed] Conversion des données (python3) a la comparaison des config avec zephir ref #33939
  * [c838633] Merge branch '2.7.2/master' into 2.8.0/master
  * [aac20c7] Merge branch '2.8.0/master' into 2.8.1/master

  [ Benjamin Bohard ]
  * [d134267] Revert "Conversion des données (python3) a la comparaison des config avec zephir ref #33939"
  * [cf9d679] Merge branch '2.8.0/master' into 2.8.1/master
  * [0c17b02] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [73f09c1] Benjamin Bohard: Update package since “debian/eole/2.8.1-18”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 13 Apr 2022 14:18:12 +0200

eole-genconfig (2.8.1-18) eole-2.8.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [abb251a] XDG_VTNR is not always set (ref: #33878)
  * [e971963] Merge branch '2.8.0/master' into 2.8.1/master
  * [9336fe1] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [6273329] Joël Cuissinat: Update package since “debian/eole/2.8.1-17”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 05 Apr 2022 17:17:25 +0200

eole-genconfig (2.8.1-17) eole-2.8.1-proposed-updates; urgency=low

  [ Matthieu Lamalle ]
  * [cae11e0] Conversion des données (python3) a la comparaison des config avec zephir ref #33939
  * [790d874] Merge branch '2.8.0/master' into 2.8.1/master
  * [8fd3d61] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [800bafc] Matthieu Lamalle: Update package since “debian/eole/2.8.1-16”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Tue, 05 Apr 2022 15:31:30 +0200

eole-genconfig (2.8.1-16) eole-2.8.1-proposed-updates; urgency=low

  [ Matthieu Lamalle ]
  * [87dc7a9] Correction enregistrement IP vide ref #33896
  * [84aa65b] Ajout d'un focus on change sur les type number ref #33648
  * [f116661] Merge branch '2.7.2/master' into 2.8.0/master
  * [d202fba] Merge branch '2.8.0/master' into 2.8.1/master
  * [f8ecf2a] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [f848ce7] Matthieu Lamalle: Update package since “debian/eole/2.8.1-15”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Tue, 05 Apr 2022 13:51:15 +0200

eole-genconfig (2.8.1-15) eole-2.8.1-proposed-updates; urgency=low

  [ Matthieu Lamalle ]
  * [bfa127c] Ajout d'un focus on change sur les type number ref #33648
  * [feef152] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [d3f57cf] Matthieu Lamalle: Update package since “debian/eole/2.8.1-14”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Tue, 05 Apr 2022 11:04:28 +0200

eole-genconfig (2.8.1-14) eole-2.8.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [2844a2f] gen_config : contournement du bug en mode kiok (ref #33878)
  * [43e9452] Merge branch '2.8.0/master' into 2.8.1/master
  * [e8b5ee9] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]


=== debian/control ===
Source: eole-genconfig
Section: admin
Priority: optional
Maintainer: Équipe EOLE <eole@ac-dijon.fr>
Build-Depends: debhelper (>= 9), python3-all-dev, dh-python
Standards-Version: 3.9.3
Homepage: http://eole.orion.education.fr/diff/
Vcs-Git: http://dev-eole.ac-dijon.fr/git/eole-genconfig
Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/eole-genconfig/repository

Package: eole-genconfig
Architecture: all
Depends: ${misc:Depends},
         python-eolegenconfig (= ${binary:Version}),
         eole-flask,
         eoleflask-aaa
Description: manage EOLE configuration
 eole-genconfig permit to manage configuration of EOLE servers through
 a web application.
 .
 This package provides the configuration for eole-flask-server and the
 web application files.
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-genconfig-client
Architecture: all
Depends: ${misc:Depends},
         eole-genconfig,
	 firefox,
         sux,
         xserver-xorg,
         xinit,
         xserver-xorg-video-all,
         matchbox-window-manager,
         libcanberra-gtk-module
Description: manage EOLE configuration
 eole-genconfig permit to manage configuration of EOLE servers through
 a web application.
 .
 This package provides the configuration for eole-flask-server and the
 web application files.
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: python-eolegenconfig
Architecture: all
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
         python-eoleflask (>= 2.4.0-7),
         creole (>= 2.4.0-105)
Description: manage EOLE configuration
 eole-genconfig permit to manage configuration of EOLE servers through
 a web application.
 .
 This package provide a Flask module to manipulate the tiramisu object.
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

## eole-genconfig 2.9.0-8

=== Makefile ===
--- 
+++ 
@@ -3,8 +3,8 @@
 ################################
 
 SOURCE=eole-genconfig
-EOLE_VERSION=2.8
-EOLE_RELEASE=2.8.1
+EOLE_VERSION=2.9
+EOLE_RELEASE=2.9.0
 PKGAPPS=flask
 FLASK_MODULE=eolegenconfig

=== debian/changelog ===
eole-genconfig (2.9.0-8) eole-2.9-unstable; urgency=low

  [ Joël Cuissinat ]
  * [fda15b8] Install firefox snap if missing
  * [af4f858] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [74549c8] Joël Cuissinat: Update package since “debian/eole/2.9.0-7”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 27 Sep 2022 15:28:08 +0200

eole-genconfig (2.9.0-7) eole-2.9-unstable; urgency=low

  [ Emmanuel Garette ]
  * [7467572] gen_config ne peut être exécuté qu'en root (ref #34351)
  * [facbca0] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [241c479] Emmanuel Garette: Update package since “debian/eole/2.9.0-6”

 -- Emmanuel Garette <egarette@cadoles.com>  Thu, 23 Jun 2022 12:11:57 +0200

eole-genconfig (2.9.0-6) eole-2.9-unstable; urgency=low

  [ Emmanuel Garette ]
  * [b6aef1d] gen_config ne peut être exécuté qu'en root (ref #34351)
  * [9d7a920] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [07abba9] Emmanuel Garette: Update package since “debian/eole/2.9.0-5”

 -- Emmanuel Garette <egarette@cadoles.com>  Thu, 23 Jun 2022 12:08:11 +0200

eole-genconfig (2.9.0-5) eole-2.9-unstable; urgency=low

  [ Benjamin Bohard ]
  * [8232177] Suppression du compte système genconfig

  [ EOLE Build Daemon ]
  * [53562cd] Benjamin Bohard: Update package since “debian/eole/2.9.0-4”

 -- Benjamin Bohard <bbohard@cadoles.com>  Thu, 23 Jun 2022 11:04:23 +0200

eole-genconfig (2.9.0-4) eole-2.9-unstable; urgency=low

  [ Benjamin Bohard ]
  * [33f46f8] L’utilisateur genconfig n’est plus utilisé.
  * [00d41a4] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [e69a016] Benjamin Bohard: Update package since “debian/eole/2.9.0-3”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 20 Jun 2022 14:03:03 +0200

eole-genconfig (2.9.0-3) eole-2.9-unstable; urgency=low

  [ Benjamin Bohard ]
  * [5291ee4] Lancement avec l’utilisateur gen_config
  * [1279dee] Revert "Lancement avec l’utilisateur gen_config"
  * [627eeaa] Lancement avec utilisateur root
  * [5148627] Ajouter les variables d’environnement au contexte.
  * [ee19b9f] Merge branch 'master' into dist/eole/2.9.0/master
  * [5420d44] Dépendances requises par le fonctionnement de snap.
  * [79ffa63] Laisser le choix du répertoire de téléchargement à l’utilisateur.
  * [cdd6cdc] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [9a6628d] Benjamin Bohard: Update package since “debian/eole/2.9.0-2”

 -- Benjamin Bohard <bbohard@cadoles.com>  Thu, 16 Jun 2022 12:17:20 +0200

eole-genconfig (2.9.0-2) eole-2.9-unstable; urgency=low

  [ Benjamin Bohard ]
  * [9b3814a] Politique centralisée.
  * [0ae66a3] Merge branch 'master' into dist/eole/2.9.0/master
  * [f1048ab] Suppression des politiques en erreur dans firefox.
  * [9557086] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [e8ca597] Benjamin Bohard: Update package since “debian/eole/2.9.0-1”

 -- Benjamin Bohard <bbohard@cadoles.com>  Thu, 02 Jun 2022 11:18:04 +0200

eole-genconfig (2.9.0-1) eole-2.9-unstable; urgency=low

  [ Daniel Dehennin ]
  * [d2a1a42] Prepare version 2.9.0
  * [96513ae] Merge branch 'master' into dist/eole/2.9.0/master
  * [2330de5] fix(makefile): installing files requires directories first
  * [519aba9] feat(nginx): redirect HTTP to HTTPS
  * [ca7c3ab] Merge branch '2.8.1/master'
  * [c54e98a] Merge branch 'master' into dist/eole/2.9.0/master

  [ Joël Cuissinat ]
  * [2844a2f] gen_config : contournement du bug en mode kiok (ref #33878)
  * [43e9452] Merge branch '2.8.0/master' into 2.8.1/master
  * [abb251a] XDG_VTNR is not always set (ref: #33878)
  * [e971963] Merge branch '2.8.0/master' into 2.8.1/master
  * [bb4dfd4] Upgrade *eole-genconfig* packaging for EOLE 2.9

  [ Matthieu Lamalle ]
  * [bfa127c] Ajout d'un focus on change sur les type number ref #33648
  * [afb537e] Merge branch '2.8.1/master'
  * [87dc7a9] Correction enregistrement IP vide ref #33896
  * [84aa65b] Ajout d'un focus on change sur les type number ref #33648
  * [f116661] Merge branch '2.7.2/master' into 2.8.0/master
  * [d202fba] Merge branch '2.8.0/master' into 2.8.1/master
  * [f73ab2d] Merge branch '2.8.1/master'
  * [cae11e0] Conversion des données (python3) a la comparaison des config avec zephir ref #33939
  * [790d874] Merge branch '2.8.0/master' into 2.8.1/master
  * [6db94c4] Merge branch '2.8.1/master'
  * [95ef0ed] Conversion des données (python3) a la comparaison des config avec zephir ref #33939
  * [c838633] Merge branch '2.7.2/master' into 2.8.0/master
  * [aac20c7] Merge branch '2.8.0/master' into 2.8.1/master
  * [b0d2232] Merge branch '2.8.1/master'

  [ Benjamin Bohard ]
  * [d134267] Revert "Conversion des données (python3) a la comparaison des config avec zephir ref #33939"
  * [cf9d679] Merge branch '2.8.0/master' into 2.8.1/master
  * [75cbf75] Merge branch '2.8.1/master'
  * [49cf1af] Merge branch 'master' into dist/eole/2.9.0/master

  [ Gilles Grandgérard ]
  * [04d8003] Ajout profile minimaliste pour Firefox
  * [3bf46a8] Merge branch 'master' of ssh://git@dev-eole.ac-dijon.fr/eole-genconfig.git

  [ EOLE Build Daemon ]
  * [73dfe60] Joël Cuissinat: Update package since “debian/eole/2.8.1-13”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 05 May 2022 10:57:43 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,10 @@
 Section: admin
 Priority: optional
 Maintainer: Équipe EOLE <eole@ac-dijon.fr>
-Build-Depends: debhelper (>= 9), python3-all-dev, dh-python
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 13),
+               python3-all-dev,
+               dh-python
+Standards-Version: 4.6.0
 Homepage: http://eole.orion.education.fr/diff/
 Vcs-Git: http://dev-eole.ac-dijon.fr/git/eole-genconfig
 Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/eole-genconfig/repository
@@ -29,9 +31,10 @@
 Depends: ${misc:Depends},
          eole-genconfig,
 	 firefox,
-         sux,
          xserver-xorg,
          xinit,
+	 xdg-utils,
+         xdg-desktop-portal-gtk,
          xserver-xorg-video-all,
          matchbox-window-manager,
          libcanberra-gtk-module

## eole-genconfig 2.9.0-11

=== debian/changelog ===
eole-genconfig (2.9.0-11) eole-2.9.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [421a916] gen_config: cosmetic fixes (ref #35163)
  * [e40f6d7] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [caed71a] Joël Cuissinat: Update package since “debian/eole/2.9.0-10”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Wed, 11 Jan 2023 14:05:05 +0100

eole-genconfig (2.9.0-10) eole-2.9.0-proposed-updates; urgency=low

  [ Philippe Caseiro ]
  * [6c05232] correction (ref #35163)
  * [5dfa722] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [a58c5f3] Philippe Caseiro: Update package since “debian/eole/2.9.0-9”

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Tue, 27 Dec 2022 10:56:39 +0100

eole-genconfig (2.9.0-9) eole-2.9.0-proposed-updates; urgency=low

  [ Philippe Caseiro ]
  * [ed4b56c] gen_config: aide en cas de non configuration du réseau ou proxy a l'installation de firefox avant l'instance (ref #35163)
  * [df13ca2] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [367728f] Philippe Caseiro: Update package since “debian/eole/2.9.0-8”

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Tue, 27 Dec 2022 10:52:51 +0100

## eole-genconfig 2.9.0-19

=== debian/changelog ===
eole-genconfig (2.9.0-19) eole-2.9.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [5571cfc] Update firefox snap path
  * [5621d2c] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [eee5512] Joël Cuissinat: Update package since “debian/eole/2.9.0-18”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 15 Nov 2024 11:44:27 +0100

eole-genconfig (2.9.0-18) eole-2.9.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [a77032e] Ne plus pré-installer firefox

  [ EOLE Build Daemon ]
  * [aa8116f] Joël Cuissinat: Update package since “debian/eole/2.9.0-17”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 07 Nov 2024 16:18:20 +0100

eole-genconfig (2.9.0-17) eole-2.9.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [92ceabe] nginx - genconfig : utiliser le certificat LE fullchain (ref #35894)
  * [f294d25] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [dbe2af4] Emmanuel Garette: Update package since “debian/eole/2.9.0-16”

 -- Emmanuel Garette <egarette@silique.fr>  Tue, 16 Apr 2024 08:56:50 +0200

eole-genconfig (2.9.0-16) eole-2.9.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [67357cc] ne pas planter si la config n'est pas valid dans un diff (ref #35857)
  * [1a9ff86] Merge branch '2.8.1/master' into 2.9.0/master
  * [d49263e] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [dfa121c] Emmanuel Garette: Update package since “debian/eole/2.9.0-15”

 -- Emmanuel Garette <egarette@silique.fr>  Thu, 28 Mar 2024 18:46:28 +0100

eole-genconfig (2.9.0-15) eole-2.9.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [6f95054] Ne pas considérer qu'on est sur Zéphir sur un serveur autonome (ref 35854)
  * [10a99cd] Merge branch '2.8.1/master' into 2.9.0/master
  * [161732e] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [a129da6] Emmanuel Garette: Update package since “debian/eole/2.9.0-14”

 -- Emmanuel Garette <egarette@silique.fr>  Wed, 27 Mar 2024 18:22:37 +0100

eole-genconfig (2.9.0-14) eole-2.9.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [fb27c3f] pouvoir comparer la configuration du serveur et celle du Zéphir depuis le serveur Zéphir (ref #35595)
  * [331f603] ne pas mettre le parametre zephir_sync (ref #35841)
  * [b1fc7f3] ne pas chercher à upgrade la configuration en cas de divergence entre le serveur et Zéphir (ref #35841)

  [ Benjamin Bohard ]
  * [1755541] Pas de comparaison si le fichier de configuration est absent.
  * [1891762] Merge branch '2.8.1/master' into 2.9.0/master
  * [5c77da8] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [072c209] Benjamin Bohard: Update package since “debian/eole/2.9.0-13”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 25 Mar 2024 15:14:02 +0100

eole-genconfig (2.9.0-13) eole-2.9.0-proposed-updates; urgency=low

  [ Laurent Gourvénec ]
  * [e7b1dbd] Fix mauvaise gestion d'erreur lors d'une sauvegarde en local seulement
  * [333cd16] Merge branch '2.8.0/master' into 2.8.1/master
  * [defa742] Merge branch '2.8.1/master'
  * [99ca51e] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [2bf0305] Laurent Gourvénec: Update package since “debian/eole/2.9.0-12”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Fri, 05 May 2023 15:46:07 +0200

eole-genconfig (2.9.0-12) eole-2.9.0-proposed-updates; urgency=low

  [ Laurent Gourvénec ]
  * [c3cc347] Gestion des erreurs provenants de zéphir
  * [8af2296] Merge branch '2.8.0/master' into 2.8.1/master
  * [7a6b2fe] Merge branch '2.8.1/master'
  * [8000add] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [3dc8558] Laurent Gourvénec: Update package since “debian/eole/2.9.0-11”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Thu, 04 May 2023 12:18:00 +0200

## eole-genconfig 2.10.0-8

=== Makefile ===
--- 
+++ 
@@ -3,8 +3,8 @@
 ################################
 
 SOURCE=eole-genconfig
-EOLE_VERSION=2.9
-EOLE_RELEASE=2.9.0
+EOLE_VERSION=2.10
+EOLE_RELEASE=2.10.0
 PKGAPPS=flask
 FLASK_MODULE=eolegenconfig

=== debian/changelog ===
eole-genconfig (2.10.0-8) eole-2.10-unstable; urgency=low

  [ Joël Cuissinat ]
  * [5571cfc] Update firefox snap path
  * [f180b9d] Merge branch '2.9.0/master'
  * [cdf967b] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [a8957fe] Joël Cuissinat: Update package since “debian/eole/2.10.0-7”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 15 Nov 2024 12:17:25 +0100

eole-genconfig (2.10.0-7) eole-2.10-unstable; urgency=low

  [ Joël Cuissinat ]
  * [2cf4800] Ne plus pré-installer firefox

  [ EOLE Build Daemon ]
  * [fdcb616] Joël Cuissinat: Update package since “debian/eole/2.10.0-6”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 19 Sep 2024 11:50:38 +0200

eole-genconfig (2.10.0-6) eole-2.10-unstable; urgency=low

  [ Laurent Gourvénec ]
  * [edbfe6b] Adaptation des params de send_file à flask 3.0.0
  * [a0dbe3e] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [3419a7b] Laurent Gourvénec: Update package since “debian/eole/2.10.0-5”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Wed, 26 Jun 2024 16:50:04 +0200

eole-genconfig (2.10.0-5) eole-2.10-unstable; urgency=low

  [ Benjamin Bohard ]
  * [49f4107] Remplacer warn par warning.
  * [b7c5a08] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [b2ec59c] Benjamin Bohard: Update package since “debian/eole/2.10.0-4”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 14 May 2024 11:37:49 +0200

eole-genconfig (2.10.0-4) eole-2.10.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [92ceabe] nginx - genconfig : utiliser le certificat LE fullchain (ref #35894)
  * [75cbf4e] Merge branch '2.9.0/master'
  * [afd1a23] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [fba09d7] Emmanuel Garette: Update package since “debian/eole/2.10.0-3”

 -- Emmanuel Garette <egarette@silique.fr>  Tue, 16 Apr 2024 08:57:37 +0200

eole-genconfig (2.10.0-3) eole-2.10.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [67357cc] ne pas planter si la config n'est pas valid dans un diff (ref #35857)
  * [1a9ff86] Merge branch '2.8.1/master' into 2.9.0/master
  * [8e38d6a] Merge branch '2.9.0/master'
  * [d5d354e] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [6783e6c] Emmanuel Garette: Update package since “debian/eole/2.10.0-2”

 -- Emmanuel Garette <egarette@silique.fr>  Thu, 28 Mar 2024 18:47:42 +0100

eole-genconfig (2.10.0-2) eole-2.10.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [fb27c3f] pouvoir comparer la configuration du serveur et celle du Zéphir depuis le serveur Zéphir (ref #35595)
  * [331f603] ne pas mettre le parametre zephir_sync (ref #35841)
  * [b1fc7f3] ne pas chercher à upgrade la configuration en cas de divergence entre le serveur et Zéphir (ref #35841)
  * [6f95054] Ne pas considérer qu'on est sur Zéphir sur un serveur autonome (ref 35854)
  * [10a99cd] Merge branch '2.8.1/master' into 2.9.0/master
  * [8b321a3] Merge branch '2.9.0/master'
  * [c3b6afd] Merge branch 'master' into dist/eole/2.10.0/master

  [ Benjamin Bohard ]
  * [1755541] Pas de comparaison si le fichier de configuration est absent.
  * [1891762] Merge branch '2.8.1/master' into 2.9.0/master
  * [c2ca7fc] Merge branch '2.9.0/master'

  [ EOLE Build Daemon ]
  * [1b1ad28] Emmanuel Garette: Update package since “debian/eole/2.10.0-1”

 -- Emmanuel Garette <egarette@silique.fr>  Wed, 27 Mar 2024 18:23:48 +0100

eole-genconfig (2.10.0-1) eole-2.10-unstable; urgency=low

  [ Daniel Dehennin ]
  * [309a4ef] Prepare release 2.10.0
  * [1bc10cd] Merge branch 'master' into dist/eole/2.10.0/master

  [ Emmanuel Garette ]
  * [e526c0f] pouvoir comparer la configuration du serveur et celle du Zéphir depuis le serveur Zéphir (ref #35595)
  * [5120efb] ne pas mettre le parametre zephir_sync (ref #35841)
  * [db32b3d] ne pas chercher à upgrade la configuration en cas de divergence entre le serveur et Zéphir (ref #35841)
  * [95673b9] pouvoir comparer la configuration du serveur et celle du Zéphir depuis le serveur Zéphir (ref #35595)
  * [aff2d2b] ne pas mettre le parametre zephir_sync (ref #35841)
  * [46ce53a] ne pas chercher à upgrade la configuration en cas de divergence entre le serveur et Zéphir (ref #35841)

  [ Benjamin Bohard ]
  * [43dff32] Merge branch '2.9.0/master'
  * [491010b] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [fd74452] Benjamin Bohard: Update package since “debian/eole/2.9.0-13”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 25 Mar 2024 15:14:56 +0100

=== debian/control ===
--- 
+++ 
@@ -30,10 +30,10 @@
 Architecture: all
 Depends: ${misc:Depends},
          eole-genconfig,
-	 firefox,
+#	     firefox,
          xserver-xorg,
          xinit,
-	 xdg-utils,
+	     xdg-utils,
          xdg-desktop-portal-gtk,
          xserver-xorg-video-all,
          matchbox-window-manager,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python3

override_dh_builddeb:
	# Make package compatible with older version
	dh_builddeb -- -Zgzip -Srle

.PHONY: override_dh_builddeb
